{
  "$schema": "http://www.lavishsoft.com/schema/lgui2Package.json",
  "includes": ["cast_stack.json"],
  "skin": {
    "name": "MRSkin",
    "brushes": {
      "window.titleBar.backgroundBrush": {
        "color": "#211C18"
      }
    },
    "templates": {
      "window.title": {
        "verticalAlignment": "center",
        "margin": [2, 0, 0, 0]
      },
      "button": {
        "jsonTemplate": "default:button",
        "margin": [2, 2, 2, 2],
        "color": "#f4f3ee"
      },
      "checkbox": {
        "jsonTemplate": "default:checkbox",
        "margin": [2, 2, 2, 2]
      },
      "window": {
        "jsonTemplate": "default:window",
        "backgroundBrush": {
          "color": "#463f3a"
        },
        "color": "#f4f3ee",
        "font": {
          "face": "Segoe UI",
          "height": 16
        }
      },
      "listbox.contentContainerFitWidth": {
        "jsonTemplate": "listbox.contentContainer",
        "horizontalScroll": "fit"
      }
    }
  },
  "elements": [
    {
      "type": "window",
      "skin": "MRSkin",
      "title": "MR Bot",
      "name": "mr.bot.miniwindow",
      "borderThickness": 2,
      "hideOnClose": false,
      "minSize": {
        "width": 100,
        "height": 50
      },
      "maxSize": {
        "width": 150,
        "height": 125
      },
      "eventHandlers": {
        "onCloseButtonClick": ["method", "MRBotController", "OnClose"]
      },
      "content": {
        "type": "stackpanel",
        "uniform": true,
        "heightFactor": 1,
        "children": [
          {
            "type": "button",
            "content": "${MRBotController.StartButtonText}",
            "horizontalAlignment": "stretch",
            "eventHandlers": {
              "onRelease": ["method", "MRBotController", "ToggleBot"]
            }
          },
          {
            "type": "button",
            "content": "${MRBotController.SettingsButtonText}",
            "horizontalAlignment": "stretch",
            "eventHandlers": {
              "onRelease": ["method", "MRBotController", "ToggleSettings"]
            }
          }
        ]
      }
    },
    {
      "type": "window",
      "skin": "MRSkin",
      "title": "MR Bot Settings",
      "name": "mr.bot.settings",
      "borderThickness": 2,
      "hideOnClose": true,
      "visibility": "hidden",
      "minSize": {
        "width": 450,
        "height": 200
      },
      "maxSize": {
        "height": 600,
        "width": 800
      },
      "eventHandlers": {
        "onCloseButtonClick": ["method", "MRBotController", "OnCloseSettings"]
      },
      "content": {
        "type": "tabcontrol",
        "heightFactor": 1,
        "horizontalAlignment": "stretch",
        "verticalAlignment": "stretch",
        "tabs": [
          {
            "type": "tab",
            "header": "Cast Stack",
            "name": "mr.bot.settings.castStack",
            "content": {
              "jsonTemplate": "settings.castStack",
              "type": "stackpanel"
            }
          },
          {
            "type": "tab",
            "header": "General",
            "content": {
              "type": "dockpanel",
              "_dock": "top",
              "padding": 2,
              "horizontalAlignment": "stretch",
              "children": [
                {
                  "type": "textblock",
                  "text": "General Settings",
                  "horizontalAlignment": "center",
                  "verticalAlignment": "center"
                }
              ]
            }
          }
        ]
      }
    }
  ]
}
